#include <iostream>

using namespace std;
int main()
{
    long long N;
    long long M;
    long long rez=0;
    cin>>N;
    cin>>M;
    long long a[N];
    for(int i=0;i<N;i++){
        cin>>a[i];
    }
    long long o1,o2;
    for(int i=0;i<M;i++){
        cin>>o1;
        cin>>o2;
        o1--;
        o2--;
        long long pom1,pom2;
        pom1=a[o1]+a[o2];
        pom2=-a[o1]-a[o2];
        pom1=max(pom1,pom2);
        rez+=pom1;
    }
    cout<<rez<<endl;
    return 0;
}